Vulnerability & Exploit Database

Back to search

Netwin SurgeFTP Remote Command Execution

This module exploits a vulnerability found in Netwin SurgeFTP, version 23c8 or prior. In order to execute commands via the FTP service, please note that you must have a valid credential to the web-based administrative console.

Free Metasploit Download

Get your copy of the world's leading penetration testing tool

 Download Now

Module Name

exploit/multi/http/netwin_surgeftp_exec

Authors

  • Spencer McIntyre
  • sinn3r <sinn3r [at] metasploit.com>

References

Targets

  • Automatic
  • Windows
  • Unix

Platforms

  • windows
  • unix

Architectures

  • x86
  • cmd

Reliability

Development

Module Options

To display the available options, load the module within the Metasploit console and run the commands 'show options' or 'show advanced':

msf > use exploit/multi/http/netwin_surgeftp_exec msf exploit(netwin_surgeftp_exec) > show targets ...targets... msf exploit(netwin_surgeftp_exec) > set TARGET <target-id> msf exploit(netwin_surgeftp_exec) > show options ...show and set options... msf exploit(netwin_surgeftp_exec) > exploit